Package com.sun.jna.platform.win32

# Class WinDef.WORD

java.lang.Object
java.lang.Number
com.sun.jna.IntegerType
com.sun.jna.platform.win32.WinDef.WORD

All Implemented Interfaces:
  `NativeMapped`, `Serializable`, `Comparable<WinDef.WORD>`

Direct Known Subclasses:
  `WinDef.ATOM`

Enclosing interface:
  WinDef

public static class WinDef.WORD extends IntegerType implements Comparable<WinDef.WORD>
16-bit unsigned integer.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `SIZE`
  The Constant SIZE.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WORD()`
  Instantiates a new word.
  `WORD(long value)`
  Instantiates a new word.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(WinDef.WORD other)`

  ### Methods inherited from class com.sun.jna.IntegerType

  `compare, compare, compare, doubleValue, equals, floatValue, fromNative, hashCode, intValue, longValue, nativeType, setValue, toNative, toString`

  ### Methods inherited from class java.lang.Number

  `byteValue, shortValue`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### SIZE

    public static final int SIZE
    The Constant SIZE.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### WORD

    public WORD()
    Instantiates a new word.

  - ### WORD

    public WORD(long value)
    Instantiates a new word.
    Parameters:
      `value` - the value

- ## Method Details

  - ### compareTo

    public int compareTo(WinDef.WORD other)
    Specified by:
      `compareTo` in interface `Comparable<WinDef.WORD>`